'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _core = require('@material-ui/core');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var ResourceFormLayout = function (_PureComponent) {
    (0, _inherits3.default)(ResourceFormLayout, _PureComponent);

    function ResourceFormLayout() {
        (0, _classCallCheck3.default)(this, ResourceFormLayout);
        return (0, _possibleConstructorReturn3.default)(this, (ResourceFormLayout.__proto__ || (0, _getPrototypeOf2.default)(ResourceFormLayout)).apply(this, arguments));
    }

    (0, _createClass3.default)(ResourceFormLayout, [{
        key: 'render',
        value: function render() {
            var _props = this.props,
                title = _props.title,
                children = _props.children,
                onSubmit = _props.onSubmit,
                onClear = _props.onClear,
                onCancel = _props.onCancel;


            return _react2.default.createElement(
                'div',
                null,
                _react2.default.createElement(
                    _core.Grid,
                    { container: true, spacing: 16 },
                    _react2.default.createElement(
                        _core.Grid,
                        { item: true, xs: 4 },
                        _react2.default.createElement(
                            _core.Typography,
                            { variant: 'headline', gutterBottom: true },
                            title
                        )
                    ),
                    _react2.default.createElement(
                        _core.Grid,
                        { item: true, xs: 8, style: { textAlign: 'right' } },
                        _react2.default.createElement(
                            _core.Tooltip,
                            { title: "Opslaan" },
                            _react2.default.createElement(
                                _core.IconButton,
                                { color: 'secondary', onClick: onSubmit },
                                _react2.default.createElement(
                                    _core.Icon,
                                    null,
                                    'done'
                                )
                            )
                        ),
                        _react2.default.createElement(
                            _core.Tooltip,
                            { title: "Formulier leegmaken" },
                            _react2.default.createElement(
                                _core.IconButton,
                                { color: 'default', onClick: onClear },
                                _react2.default.createElement(
                                    _core.Icon,
                                    null,
                                    'undo'
                                )
                            )
                        ),
                        _react2.default.createElement(
                            _core.Tooltip,
                            { title: "Annuleren" },
                            _react2.default.createElement(
                                _core.IconButton,
                                { color: 'default', onClick: onCancel },
                                _react2.default.createElement(
                                    _core.Icon,
                                    null,
                                    'clear'
                                )
                            )
                        )
                    )
                ),
                _react2.default.createElement(
                    _core.Paper,
                    { style: { padding: 24 } },
                    children
                )
            );
        }
    }]);
    return ResourceFormLayout;
}(_react.PureComponent);

ResourceFormLayout.propTypes = {
    title: _propTypes2.default.oneOfType([_propTypes2.default.node, _propTypes2.default.string]),
    onSubmit: _propTypes2.default.func.isRequired,
    onClear: _propTypes2.default.func.isRequired,
    onCancel: _propTypes2.default.func.isRequired
};

exports.default = ResourceFormLayout;