'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _extends2 = require('babel-runtime/helpers/extends');

var _extends3 = _interopRequireDefault(_extends2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _objectWithoutProperties2 = require('babel-runtime/helpers/objectWithoutProperties');

var _objectWithoutProperties3 = _interopRequireDefault(_objectWithoutProperties2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _styles = require('@material-ui/core/styles');

var _core = require('@material-ui/core');

var _green = require('@material-ui/core/colors/green');

var _green2 = _interopRequireDefault(_green);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var styles = function styles(theme) {
    return {
        root: {
            margin: theme.spacing.unit,
            position: 'relative',
            display: 'inline-block'
        },
        buttonSuccess: {
            backgroundColor: _green2.default[500],
            '&:hover': {
                backgroundColor: _green2.default[700]
            }
        },
        buttonProgress: {
            color: _green2.default[500],
            position: 'absolute',
            top: '50%',
            left: '50%',
            marginTop: -12,
            marginLeft: -12
        }
    };
};

var ProgressButton = function (_React$Component) {
    (0, _inherits3.default)(ProgressButton, _React$Component);

    function ProgressButton() {
        (0, _classCallCheck3.default)(this, ProgressButton);
        return (0, _possibleConstructorReturn3.default)(this, (ProgressButton.__proto__ || (0, _getPrototypeOf2.default)(ProgressButton)).apply(this, arguments));
    }

    (0, _createClass3.default)(ProgressButton, [{
        key: 'render',
        value: function render() {
            var _classNames;

            var _props = this.props,
                children = _props.children,
                classes = _props.classes,
                className = _props.className,
                disabled = _props.disabled,
                pending = _props.pending,
                success = _props.success,
                props = (0, _objectWithoutProperties3.default)(_props, ['children', 'classes', 'className', 'disabled', 'pending', 'success']);


            var buttonClassname = (0, _classnames2.default)((_classNames = {}, (0, _defineProperty3.default)(_classNames, classes.buttonSuccess, success), (0, _defineProperty3.default)(_classNames, className, true), _classNames));

            return _react2.default.createElement(
                'div',
                { className: classes.root },
                _react2.default.createElement(
                    _core.Button,
                    (0, _extends3.default)({
                        className: buttonClassname,
                        disabled: pending || disabled
                    }, props),
                    children
                ),
                pending && _react2.default.createElement(_core.CircularProgress, { size: 24, className: classes.buttonProgress })
            );
        }
    }]);
    return ProgressButton;
}(_react2.default.Component);

ProgressButton.propTypes = {
    classes: _propTypes2.default.object.isRequired
};

exports.default = (0, _styles.withStyles)(styles)(ProgressButton);