'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _styles = require('@material-ui/core/styles');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultTheme = (0, _styles.createMuiTheme)();

var ThemeProvider = function ThemeProvider(_ref) {
    var children = _ref.children;
    return _react2.default.createElement(
        _styles.MuiThemeProvider,
        { theme: defaultTheme },
        children
    );
};

exports.default = ThemeProvider;