"use strict";

Object.defineProperty(exports, "__esModule", {
    value: true
});
var debounce = exports.debounce = function debounce(f, ms) {
    var t = null;
    return function () {
        for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
            args[_key] = arguments[_key];
        }

        if (t) clearTimeout(t);
        t = setTimeout(function () {
            return f.apply(undefined, args);
        }, ms);
    };
};

exports.default = debounce;